Boomi Data Hub Repository API Reference (1.0.0) - Staging
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Prepare and review incoming source data before mastering. Load, inspect, and manage staged source entities prior to validation, matching, or merging into golden records. Use this API to validate and troubleshoot data before it affects mastered records.
Query Staged Entities
The Query Staged Entities operation returns staged entities from a designated staging area. This request is associated with a particular source in a given universe (deployed model) for the authenticated user.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the View Staged Data Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - View Data OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Request Body schema: application/xmlrequired
Request body containing the staging query request. The root element is <StagingQueryRequest> with the following optional attributes:
includeSummary (optional) - Adds the
<StagingAreaSummary>section to the response, detailing the number of records for each entity<state>result in the response.includeRecords (optional) - Includes or removes the records returned in the response. Value is boolean.
offsetToken (optional) - Sets the starting point to retrieve records which allows you to skip a specific number records. For example, in a set of 20 records, 10 skips the first 10 records and queries the remaining 10.
limit (optional) - Sets the maximum number of query results to return. 200 is the maximum value and the default.
The following elements specify the source and staging area to query:
sourceId - source ID (required).
stagingAreaId - staging area ID (required). The ID can be obtained from the Query Staged Entities endpoint.
Filters (wrapped in <filter> tag):
You must have at least one filter in the request. Optionally, you can specify the filter operation with the op="" attribute to be AND or OR. By default the operator is AND when no operator is specified:
state (optional) - sets a filter by staging result status. This element can repeat - one token per occurrence. Valid tokens include:
COMPLETED.* - entities that, if contributed when staged, would not be quarantined.
COMPLETED.CREATED - entities that, if contributed when staged, result in the creation of a golden record.
COMPLETED.UPDATED - entities that, if contributed when staged, result in updating a golden record.
COMPLETED.DELETED - entities that, if contributed when staged, result in the end-dating of a golden record.
COMPLETED.LINKED - entities that, if contributed when staged, result in the linking of a golden record to the source entity.
COMPLETED.LINKED_WITH_UPDATE - entities that, if contributed when staged, result in the linking of a golden record to the source entity and the updating of that golden record.
COMPLETED.NOOP - entities that, if contributed when staged, would not create, update, end-date, or link a golden record.
QUARANTINED.* - entities that, if contributed when staged, would quarantine.
QUARANTINED.AMBIGUOUS_MATCH - entities that quarantine due to their matching 10 or more golden records.
QUARANTINED.DUPLICATE_KEY - entities that quarantine because they contain multiple collection items with the same key values.
QUARANTINED.ENRICH_ERROR - entities that quarantine due to a data quality step failure.
QUARANTINED.FIELD_FORMAT_ERROR - entities that quarantine because they contain data not in conformance with field type or validation options.
QUARANTINED.INCORPORATE_ERROR - entities causing errors other than unresolvable references during the staging of incorporation.
QUARANTINED.MATCH_REFERENCE_UNKNOWN - entities that quarantine due to their having a value in a reference field specified for matching that does not resolve to a golden record.
QUARANTINED.MULTIPLE_MATCHES - entities that quarantine due to their matching multiple golden records not yet linked to a record in the source.
QUARANTINED.PARSE_FAILURE - entities that quarantine due to their failure to structurally conform with the field layout specified in the domain model.
QUARANTINED.POSSIBLE_DUPLICATE - entities that quarantine due to their matching golden records linked to a record in the source.
QUARANTINED.RECORD_ALREADY_ENDDATED - entities that quarantine due to the existence of a link from an end-dated golden record.
QUARANTINED.REFERENCE_UNKNOWN - entities that quarantine due to their having unresolvable references.
QUARANTINED.REQUIRED_FIELD - entities that quarantine due to their omission of fields specified as required or as key fields for collections.
QUARANTINED.REQUIRES_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring manual approval.
QUARANTINED.REQUIRES_END_DATE_APPROVAL - entities that quarantine due to their configured sources requiring manual approval of contributed entities that would end-date matching golden records.
QUARANTINED.REQUIRES_UPDATE_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring the manual approval of contributed entities that update matching golden records.
QUARANTINED.REQUIRES_UPDATE_WITH_BASE_VALUE_APPROVAL - entities that quarantine because there is a pending link from the matching golden record to the contributing source and the entity has a field with a base value.
createDateRelative (optional) - Use one of the following date filters. If value is present, createdDate is ignored. Values: PAST_HOUR, PAST_24_HOURS, PAST_WEEK.
createdDate (optional) - The date the entity was created in the staging area. This tag wraps the
toandfromtags:from: The start date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
to: The end date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
sourceEntityIds (optional) - Sets a filter by source entities. This tag wraps specific source entity Ids.
sourceEntityId (optional) - The specific source entity ID. The ID can be obtained from the Query Staged Entities endpoint or from the Staged Entities list in the UI.
stagedEntryIds (optional) - Sets a filter for staged entry Ids. This tag wraps the stagedEntryId tags.
stagedEntryId (optional) - The specific staged Entry ID. The ID can be obtained from the Query Staged Entities endpoint.
| sourceId | string |
| stagingAreaId | string |
object (StagedEntityFilter) | |
| offsetToken | string |
| limit | integer <int32> |
Responses
Response Schema: application/xml
| offsetToken | string |
Array of objects (StagedEntity) | |
object (StagingAreaSummary) | |
| resultCount | integer <int32> |
| totalCount | integer <int64> |
| titleFieldName | string |
Request samples
- Payload
<StagingQueryRequest offsetToken="MjAw" limit="100"> <sourceId>SFDC</sourceId> <stagingAreaId>sa</stagingAreaId> <filter op="OR"> <createdDate> <from>2023-01-01T00:00:00Z</from> <to>2023-12-31T23:59:59Z</to> </createdDate> <createDateRelative>PAST_HOUR</createDateRelative> <sourceEntityIds> <sourceEntityId>sg-4</sourceEntityId> <sourceEntityId>sg-1</sourceEntityId> </sourceEntityIds> <state>QUARANTINED.FIELD_FORMAT_ERROR</state> </filter> </StagingQueryRequest>
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<StagingQueryResponse resultCount="5" totalCount="5"> <StagedEntity id="5" sourceEntityId="modelforstaging3" createdDate="2024-04-30T10:44:09Z" state="QUARANTINED.POSSIBLE_DUPLICATE"> <entity> <modelforstaging> <first_name>Williams</first_name> <lastname>Fiction</lastname> <address_1>CA</address_1> </modelforstaging> </entity> </StagedEntity> <StagedEntity id="4" sourceEntityId="modelforstaging2" createdDate="2024-04-30T10:42:53Z" state="COMPLETED.NOOP"> <entity> <modelforstaging> <first_name>Williams 2</first_name> <lastname>Fiction 2</lastname> <address_1>WA</address_1> </modelforstaging> </entity> </StagedEntity> <StagedEntity id="3" sourceEntityId="modelforstaging1" createdDate="2024-04-30T10:42:53Z" state="COMPLETED.NOOP"> <entity> <modelforstaging> <first_name>Williams</first_name> <lastname>Fiction</lastname> <address_1>CA</address_1> </modelforstaging> </entity> </StagedEntity> <StagedEntity id="2" sourceEntityId="modelforstaging2" createdDate="2024-04-30T10:42:11Z" state="COMPLETED.CREATED"> <entity> <modelforstaging> <first_name>Williams 2</first_name> <lastname>Fiction 2</lastname> <address_1>WA</address_1> </modelforstaging> </entity> </StagedEntity> <StagedEntity id="1" sourceEntityId="modelforstaging1" createdDate="2024-04-30T10:42:11Z" state="COMPLETED.CREATED"> <entity> <modelforstaging> <first_name>Williams</first_name> <lastname>Fiction</lastname> <address_1>CA</address_1> </modelforstaging> </entity> </StagedEntity> <StagingAreaSummary> <entityResultSummary name="QUARANTINED.POSSIBLE_DUPLICATE" count="1"/> <entityResultSummary name="COMPLETED.NOOP" count="2"/> <entityResultSummary name="COMPLETED.CREATED" count="2"/> </StagingAreaSummary> </StagingQueryResponse>
Resubmit Staged Entities
The Resubmit Staged Entities operation allows the authenticated user to resubmit specific entities to a designated staging area. This request is associated with a particular source in a given universe (deployed model).
Resubmitting entities lets you resend an entity to the staging area after you've made changes to the model so you can see how the entity would be incorporated. For example, you can change the model's match rules, re-deploy the model, and resubmit the entity to staging to see the effect.
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Resubmit Staged Data Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - View Data OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Request Body schema: application/xmlrequired
Request body containing the staging action request. The root element is <StagingActionRequest> with the following required elements:
sourceId - source ID (required).
stagingAreaId - staging area ID (required). The ID can be obtained from the Query Staged Entities endpoint.
Filters (wrapped in <filter> tag):
You must have at least one filter in the request. Optionally, you can specify the filter operation with the op="" attribute to be AND or OR. By default the operator is AND when no operator is specified:
state (optional) - sets a filter by staging result status. This element can repeat - one token per occurrence. Valid tokens include:
COMPLETED.* - entities that, if contributed when staged, would not be quarantined.
COMPLETED.CREATED - entities that, if contributed when staged, result in the creation of a golden record.
COMPLETED.UPDATED - entities that, if contributed when staged, result in updating a golden record.
COMPLETED.DELETED - entities that, if contributed when staged, result in the end-dating of a golden record.
COMPLETED.LINKED - entities that, if contributed when staged, result in the linking of a golden record to the source entity.
COMPLETED.LINKED_WITH_UPDATE - entities that, if contributed when staged, result in the linking of a golden record to the source entity and the updating of that golden record.
COMPLETED.NOOP - entities that, if contributed when staged, would not create, update, end-date, or link a golden record.
QUARANTINED.* - entities that, if contributed when staged, would quarantine.
QUARANTINED.AMBIGUOUS_MATCH - entities that quarantine due to their matching 10 or more golden records.
QUARANTINED.DUPLICATE_KEY - entities that quarantine because they contain multiple collection items with the same key values.
QUARANTINED.ENRICH_ERROR - entities that quarantine due to a data quality step failure.
QUARANTINED.FIELD_FORMAT_ERROR - entities that quarantine because they contain data not in conformance with field type or validation options.
QUARANTINED.INCORPORATE_ERROR - entities causing errors other than unresolvable references during the staging of incorporation.
QUARANTINED.MATCH_REFERENCE_UNKNOWN - entities that quarantine due to their having a value in a reference field specified for matching that does not resolve to a golden record.
QUARANTINED.MULTIPLE_MATCHES - entities that quarantine due to their matching multiple golden records not yet linked to a record in the source.
QUARANTINED.PARSE_FAILURE - entities that quarantine due to their failure to structurally conform with the field layout specified in the domain model.
QUARANTINED.POSSIBLE_DUPLICATE - entities that quarantine due to their matching golden records linked to a record in the source.
QUARANTINED.RECORD_ALREADY_ENDDATED - entities that quarantine due to the existence of a link from an end-dated golden record.
QUARANTINED.REFERENCE_UNKNOWN - entities that quarantine due to their having unresolvable references.
QUARANTINED.REQUIRED_FIELD - entities that quarantine due to their omission of fields specified as required or as key fields for collections.
QUARANTINED.REQUIRES_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring manual approval.
QUARANTINED.REQUIRES_END_DATE_APPROVAL - entities that quarantine due to their configured sources requiring manual approval of contributed entities that would end-date matching golden records.
QUARANTINED.REQUIRES_UPDATE_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring the manual approval of contributed entities that update matching golden records.
QUARANTINED.REQUIRES_UPDATE_WITH_BASE_VALUE_APPROVAL - entities that quarantine because there is a pending link from the matching golden record to the contributing source and the entity has a field with a base value.
createDateRelative (optional) - Use one of the following date filters. If value is present, createdDate is ignored. Values: PAST_HOUR, PAST_24_HOURS, PAST_WEEK.
createdDate (optional) - The date the entity was created in the staging area. This tag wraps the
toandfromtags:from: The start date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
to: The end date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
sourceEntityIds (optional) - Sets a filter by source entities. This tag wraps specific source entity Ids.
sourceEntityId (optional) - The specific source entity ID. The ID can be obtained from the Query Staged Entities endpoint or from the Staged Entities list in the UI.
stagedEntryIds (optional) - Sets a filter for staged entry Ids. This tag wraps the stagedEntryId tags.
stagedEntryId (optional) - The specific staged Entry ID. The ID can be obtained from the Query Staged Entities endpoint.
| sourceId | string |
| stagingAreaId | string |
object (StagedEntityFilter) |
Responses
Response Schema: application/xml
| resultCount | integer <int32> |
Request samples
- Payload
<StagingActionRequest> <sourceId>SFDC</sourceId> <stagingAreaId>12345</stagingAreaId> <filter op="OR"> <createdDate> <from>2023-01-01T00:00:00Z</from> <to>2023-12-31T23:59:59Z</to> </createdDate> <createDateRelative>PAST_HOUR</createDateRelative> <sourceEntityIds> <sourceEntityId>sg-4</sourceEntityId> <sourceEntityId>sg-1</sourceEntityId> </sourceEntityIds> <stagedEntryIds> <stagedEntryId>82</stagedEntryId> <stagedEntryId>83</stagedEntryId> <stagedEntryId>85</stagedEntryId> </stagedEntryIds> <state>QUARANTINED.FIELD_FORMAT_ERROR</state> </filter> </StagingActionRequest>
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<MdmActionResponse resultCount="5"></MdmActionResponse>
Commit Staged Entities
The Commit Staged Entities operation allows the authenticated user to submit a request for specific entities from a designated staging area to update or create golden records in the repository. This request is associated with a particular source in a given universe (deployed model).
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Commit Staged Data Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - View Data OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Request Body schema: application/xmlrequired
Request body containing the staging action request. The root element is <StagingActionRequest> with the following required elements:
sourceId - source ID (required).
stagingAreaId - staging area ID (required). The ID can be obtained from the Query Staged Entities endpoint.
Filters (wrapped in <filter> tag):
You must have at least one filter in the request. Optionally, you can specify the filter operation with the op="" attribute to be AND or OR. By default the operator is AND when no operator is specified:
state (optional) - sets a filter by staging result status. This element can repeat - one token per occurrence. Valid tokens include:
COMPLETED.* - entities that, if contributed when staged, would not be quarantined.
COMPLETED.CREATED - entities that, if contributed when staged, result in the creation of a golden record.
COMPLETED.UPDATED - entities that, if contributed when staged, result in updating a golden record.
COMPLETED.DELETED - entities that, if contributed when staged, result in the end-dating of a golden record.
COMPLETED.LINKED - entities that, if contributed when staged, result in the linking of a golden record to the source entity.
COMPLETED.LINKED_WITH_UPDATE - entities that, if contributed when staged, result in the linking of a golden record to the source entity and the updating of that golden record.
COMPLETED.NOOP - entities that, if contributed when staged, would not create, update, end-date, or link a golden record.
QUARANTINED.* - entities that, if contributed when staged, would quarantine.
QUARANTINED.AMBIGUOUS_MATCH - entities that quarantine due to their matching 10 or more golden records.
QUARANTINED.DUPLICATE_KEY - entities that quarantine because they contain multiple collection items with the same key values.
QUARANTINED.ENRICH_ERROR - entities that quarantine due to a data quality step failure.
QUARANTINED.FIELD_FORMAT_ERROR - entities that quarantine because they contain data not in conformance with field type or validation options.
QUARANTINED.INCORPORATE_ERROR - entities causing errors other than unresolvable references during the staging of incorporation.
QUARANTINED.MATCH_REFERENCE_UNKNOWN - entities that quarantine due to their having a value in a reference field specified for matching that does not resolve to a golden record.
QUARANTINED.MULTIPLE_MATCHES - entities that quarantine due to their matching multiple golden records not yet linked to a record in the source.
QUARANTINED.PARSE_FAILURE - entities that quarantine due to their failure to structurally conform with the field layout specified in the domain model.
QUARANTINED.POSSIBLE_DUPLICATE - entities that quarantine due to their matching golden records linked to a record in the source.
QUARANTINED.RECORD_ALREADY_ENDDATED - entities that quarantine due to the existence of a link from an end-dated golden record.
QUARANTINED.REFERENCE_UNKNOWN - entities that quarantine due to their having unresolvable references.
QUARANTINED.REQUIRED_FIELD - entities that quarantine due to their omission of fields specified as required or as key fields for collections.
QUARANTINED.REQUIRES_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring manual approval.
QUARANTINED.REQUIRES_END_DATE_APPROVAL - entities that quarantine due to their configured sources requiring manual approval of contributed entities that would end-date matching golden records.
QUARANTINED.REQUIRES_UPDATE_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring the manual approval of contributed entities that update matching golden records.
QUARANTINED.REQUIRES_UPDATE_WITH_BASE_VALUE_APPROVAL - entities that quarantine because there is a pending link from the matching golden record to the contributing source and the entity has a field with a base value.
createDateRelative (optional) - Use one of the following date filters. If value is present, createdDate is ignored. Values: PAST_HOUR, PAST_24_HOURS, PAST_WEEK.
createdDate (optional) - The date the entity was created in the staging area. This tag wraps the
toandfromtags:from: The start date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
to: The end date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
sourceEntityIds (optional) - Sets a filter by source entities. This tag wraps specific source entity Ids.
sourceEntityId (optional) - The specific source entity ID. The ID can be obtained from the Query Staged Entities endpoint or from the Staged Entities list in the UI.
stagedEntryIds (optional) - Sets a filter for staged entry Ids. This tag wraps the stagedEntryId tags.
stagedEntryId (optional) - The specific staged Entry ID. The ID can be obtained from the Query Staged Entities endpoint.
| sourceId | string |
| stagingAreaId | string |
object (StagedEntityFilter) |
Responses
Response Schema: application/xml
| resultCount | integer <int32> |
Request samples
- Payload
<StagingActionRequest> <sourceId>SFDC</sourceId> <stagingAreaId>12345</stagingAreaId> <filter op="OR"> <createdDate> <from>2023-01-01T00:00:00Z</from> <to>2023-12-31T23:59:59Z</to> </createdDate> <createDateRelative>PAST_HOUR</createDateRelative> <sourceEntityIds> <sourceEntityId>sg-4</sourceEntityId> <sourceEntityId>sg-1</sourceEntityId> </sourceEntityIds> <stagedEntryIds> <stagedEntryId>82</stagedEntryId> <stagedEntryId>83</stagedEntryId> <stagedEntryId>85</stagedEntryId> </stagedEntryIds> <state>QUARANTINED.FIELD_FORMAT_ERROR</state> </filter> </StagingActionRequest>
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<MdmActionResponse resultCount="5"></MdmActionResponse>
Delete Staged Entities
The Delete Staged Entities operation allows the authenticated user to delete specific entities in a designated staging area. This request is associated with a particular source in a given universe (deployed model).
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the Delete Staged Data Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - View Data OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Request Body schema: application/xmlrequired
Request body containing the staging action request. The root element is <StagingActionRequest> with the following required elements:
sourceId - source ID (required).
stagingAreaId - staging area ID (required). The ID can be obtained from the Query Staged Entities endpoint.
Filters (wrapped in <filter> tag):
You must have at least one filter in the request. Optionally, you can specify the filter operation with the op="" attribute to be AND or OR. By default the operator is AND when no operator is specified:
state (optional) - sets a filter by staging result status. This element can repeat - one token per occurrence. Valid tokens include:
COMPLETED.* - entities that, if contributed when staged, would not be quarantined.
COMPLETED.CREATED - entities that, if contributed when staged, result in the creation of a golden record.
COMPLETED.UPDATED - entities that, if contributed when staged, result in updating a golden record.
COMPLETED.DELETED - entities that, if contributed when staged, result in the end-dating of a golden record.
COMPLETED.LINKED - entities that, if contributed when staged, result in the linking of a golden record to the source entity.
COMPLETED.LINKED_WITH_UPDATE - entities that, if contributed when staged, result in the linking of a golden record to the source entity and the updating of that golden record.
COMPLETED.NOOP - entities that, if contributed when staged, would not create, update, end-date, or link a golden record.
QUARANTINED.* - entities that, if contributed when staged, would quarantine.
QUARANTINED.AMBIGUOUS_MATCH - entities that quarantine due to their matching 10 or more golden records.
QUARANTINED.DUPLICATE_KEY - entities that quarantine because they contain multiple collection items with the same key values.
QUARANTINED.ENRICH_ERROR - entities that quarantine due to a data quality step failure.
QUARANTINED.FIELD_FORMAT_ERROR - entities that quarantine because they contain data not in conformance with field type or validation options.
QUARANTINED.INCORPORATE_ERROR - entities causing errors other than unresolvable references during the staging of incorporation.
QUARANTINED.MATCH_REFERENCE_UNKNOWN - entities that quarantine due to their having a value in a reference field specified for matching that does not resolve to a golden record.
QUARANTINED.MULTIPLE_MATCHES - entities that quarantine due to their matching multiple golden records not yet linked to a record in the source.
QUARANTINED.PARSE_FAILURE - entities that quarantine due to their failure to structurally conform with the field layout specified in the domain model.
QUARANTINED.POSSIBLE_DUPLICATE - entities that quarantine due to their matching golden records linked to a record in the source.
QUARANTINED.RECORD_ALREADY_ENDDATED - entities that quarantine due to the existence of a link from an end-dated golden record.
QUARANTINED.REFERENCE_UNKNOWN - entities that quarantine due to their having unresolvable references.
QUARANTINED.REQUIRED_FIELD - entities that quarantine due to their omission of fields specified as required or as key fields for collections.
QUARANTINED.REQUIRES_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring manual approval.
QUARANTINED.REQUIRES_END_DATE_APPROVAL - entities that quarantine due to their configured sources requiring manual approval of contributed entities that would end-date matching golden records.
QUARANTINED.REQUIRES_UPDATE_APPROVAL - entities that quarantine due to their satisfying conditions configured for their source requiring the manual approval of contributed entities that update matching golden records.
QUARANTINED.REQUIRES_UPDATE_WITH_BASE_VALUE_APPROVAL - entities that quarantine because there is a pending link from the matching golden record to the contributing source and the entity has a field with a base value.
createDateRelative (optional) - Use one of the following date filters. If value is present, createdDate is ignored. Values: PAST_HOUR, PAST_24_HOURS, PAST_WEEK.
createdDate (optional) - The date the entity was created in the staging area. This tag wraps the
toandfromtags:from: The start date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
to: The end date for filtering entities by created date. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string.
sourceEntityIds (optional) - Sets a filter by source entities. This tag wraps specific source entity Ids.
sourceEntityId (optional) - The specific source entity ID. The ID can be obtained from the Query Staged Entities endpoint or from the Staged Entities list in the UI.
stagedEntryIds (optional) - Sets a filter for staged entry Ids. This tag wraps the stagedEntryId tags.
stagedEntryId (optional) - The specific staged Entry ID. The ID can be obtained from the Query Staged Entities endpoint.
| sourceId | string |
| stagingAreaId | string |
object (StagedEntityFilter) |
Responses
Response Schema: application/xml
| resultCount | integer <int32> |
Request samples
- Payload
<StagingActionRequest> <sourceId>SFDC</sourceId> <stagingAreaId>12345</stagingAreaId> <filter op="OR"> <createdDate> <from>2023-01-01T00:00:00Z</from> <to>2023-12-31T23:59:59Z</to> </createdDate> <createDateRelative>PAST_HOUR</createDateRelative> <sourceEntityIds> <sourceEntityId>sg-4</sourceEntityId> <sourceEntityId>sg-1</sourceEntityId> </sourceEntityIds> <stagedEntryIds> <stagedEntryId>82</stagedEntryId> <stagedEntryId>83</stagedEntryId> <stagedEntryId>85</stagedEntryId> </stagedEntryIds> <state>QUARANTINED.FIELD_FORMAT_ERROR</state> </filter> </StagingActionRequest>
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<MdmActionResponse resultCount="5"></MdmActionResponse>
Get Staged Entity
The Get Staged Entity operation allows the authenticated user to retrieve a single staged entity from a designated staging area in a repository. This request is associated with a particular source in a given universe (deployed model).
Security Requirements: You must have one of the following MDM privileges:
With the Advanced Security feature on your account:
- MDM - Stewardship with the View Staged Data Hub role entitlement for the queried repository OR
- MDM - Stewardship Management
Without Advanced Security:
- MDM - Stewardship OR
- MDM - View Data OR
- MDM - Stewardship Management
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
| sourceId | any Example: CRM_SYSTEM Source ID. The source ID is listed on the Sources page in the user interface. |
| stagingAreaId | any Staging area ID. Obtain the ID from the deployed model's Source's tab or the Query Staged Entities endpoint. Case sensitive. |
| stagedEntityId | any The staged entity ID which is assigned when the source contributes the entity. This is a different ID than the source entity ID. Obtain the ID from the Query Staged Entities endpoint. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Responses
Response Schema: application/xml
| message | string |
| unparsedData | string |
object (MdmDataRepresentation) | |
object (MdmDataRepresentation) | |
object (Entity) | |
| id | string |
| batchEntityId | string |
| sourceEntityId | string |
| createdDate | string |
| state | string |
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<StagedEntity id="5" sourceEntityId="S1" createdDate="2024-04-30T10:44:09Z" state="QUARANTINED.POSSIBLE_DUPLICATE"> <message>The entity is potentially a duplicate of a golden record(s) already linked to an entity in the source system.</message> <entity> <customer> <first_name>William</first_name> <lastname>Fiction</lastname> <state>CA</state> </customer> </entity> </StagedEntity>